import React from "react";
import PropTypes from "prop-types";

export default function Suitcase (props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 19 19"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path d="M16.0572 3.11878H13.8967C13.8782 2.82814 13.6371 2.59795 13.3418 2.59795H13.3131V1.40421C13.3131 0.62999 12.6768 0 11.8946 0H7.1221C6.33976 0 5.70339 0.62999 5.70339 1.40421V2.59795H5.67469C5.37941 2.59795 5.13834 2.82814 5.11993 3.11878H2.95933C1.34797 3.11878 0.0371094 4.42964 0.0371094 6.041V16.613C0.0371094 17.9292 1.10792 19 2.42414 19H16.5924C17.9086 19 18.9794 17.9292 18.9794 16.613V6.041C18.9794 4.42964 17.6684 3.11878 16.0572 3.11878ZM9.855 4.23206C10.3516 4.33121 10.7838 4.61272 11.0748 5.02919C11.3742 5.45754 11.4888 5.97693 11.3975 6.49139C11.3616 6.69447 11.295 6.88683 11.2002 7.06571L9.63612 7.24532C9.47623 7.26358 9.33214 7.35027 9.24096 7.4829L6.94975 10.8142C6.8661 10.9358 6.83421 11.0857 6.86103 11.2309C6.88785 11.3762 6.97134 11.5046 7.09296 11.5883L9.37809 13.1599C9.47434 13.2262 9.58422 13.2579 9.69294 13.2579C9.87008 13.2579 10.0442 13.1737 10.152 13.0167L12.4432 9.6854C12.5344 9.55276 12.5638 9.38722 12.5237 9.23139L12.1275 7.6899C12.3074 7.37998 12.4303 7.04295 12.4937 6.68592C12.6369 5.8785 12.4572 5.06369 11.9873 4.39166C11.9491 4.33672 11.9086 4.28396 11.8672 4.23206H13.8772V17.8867H5.13936V4.23206H9.855ZM11.3826 9.26314L9.5503 11.9272L8.18247 10.9864L10.0147 8.32236L11.1085 8.19697L11.3826 9.26314ZM6.81667 1.40421C6.81667 1.23838 6.94801 1.11328 7.1221 1.11328H11.8946C12.0687 1.11328 12.1999 1.23838 12.1999 1.40421V2.59795H12.1712C11.8759 2.59795 11.6348 2.82814 11.6164 3.11878H7.40028C7.38172 2.82814 7.1408 2.59795 6.84538 2.59795H6.81667V1.40421ZM1.15039 16.613V6.041C1.15039 5.04354 1.96187 4.23206 2.95933 4.23206H4.02593V17.8867H2.42414C1.72182 17.8867 1.15039 17.3153 1.15039 16.613ZM17.8661 16.613C17.8661 17.3153 17.2949 17.8867 16.5924 17.8867H14.9906V4.23206H16.0572C17.0547 4.23206 17.8661 5.04354 17.8661 6.041V16.613Z" fill={props.fill}/>
    </svg>

  )
};

Suitcase.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Suitcase.defaultProps = {
  className: "",
  fill: "#6b7daa",
  width: 19,
  height: 19,
};
